# pybedtools.bedtool.BedTool.random_subset

BedTool.random_subset(*args, **kwargs)

  Return a BedTool containing a random subset.

  NOTE: using `n` will be slower and use more memory than using `f`.

  Parameters:
    n int

      Number of features to return. Only one of `n` or `f` can be provided.

    f float, 0 <= f <= 1

      Fraction of features to return. Cannot be provided with `n`.

    seed float or int

      Set random.seed